#pragma once

#include "./utils/vector.h"

namespace numerics{
	

	template <typename T>
	utils::Vector<T>  vecexp(const utils::Vector<T>& a){
		utils::Vector<T> b = a;
		for (uint64_t i = 0; i < a.size(); ++i){
			b[i] =  numerics::exp(a[i]);
		}
		return b;
	}


} // namespace numerics

